package com.liquidnet.service.galaxy.dto.vo.mongo;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: GalaxyNftOrderBo
 * @Package com.liquidnet.service.galaxy.dto.bo
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/3/17 11:16
 */
@Data
public class GalaxyNftOrderVo implements Serializable,Cloneable {
    private String userId;
    /**
     * 应用系统购买系列唯一ID
     */
    private String skuId;
    /**
     * 系列的唯一名称
     */
    private String seriesName;
    /**
     * 系列的唯一Id
     */
    private String seriesId;
    /**
     * 接入方买入唯一标识
     */
    private String nftOrderPayId;
    /**
     * nftId
     */
    private String nftId;
    /**
     * nft价格
     */
    private Long nftPrice;

    /**
     * 转出方地址
     */
    private String fromAddress;

    /**
     * 转入方地址
     */
    private String toAddress;

    /**
     * 创建时间
     */
    private String createdAt;

    /**
     * 更新时间
     */
    private String updatedAt;

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }

    private static final GalaxyNftOrderVo obj = new GalaxyNftOrderVo();

    public static GalaxyNftOrderVo getNew() {
        try {
            return (GalaxyNftOrderVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new GalaxyNftOrderVo();
        }
    }
}
